#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <GetButton1.h>
#include <GetButton2.h>
#include <SetTraceV2Color.h>
#include <SetTenthS.h>
#include <SetTraceV2BeepI2C.h>
#include <GetTraceV2I2C.h>
#include <SetLCD3Char.h>

int main(void)
{
    X3RCU_Init();
    unsigned int btn1 = 0;
    unsigned int var0 = 0;
    unsigned int var1 = 0;
    unsigned int btn2 = 0;
    SetLCDBack(1);
    while (1)
    {
        btn1 = GetButton1();
        btn2 = GetButton2();
        if ( btn1==1 )
        {
            SetTraceV2Color(_TRACEV2_1_, 1, 2, 3, 4, 5, 6, 7);
            SetTenthS(3);
        }
        else
        {
            if ( btn2==1 )
            {
                SetTraceV2BeepI2C(_TRACEV2_1_, 1);
                SetTenthS(3);
            }
        }
        var0 = GetTraceV2I2C(_TRACEV2_1_, 9);
        SetLCD3Char(0, 0, var0, YELLOW, BLACK);
    }
    while(1);
}

